import { AutoMap } from '@automapper/classes';
import { IsNotEmpty, IsOptional, IsString } from 'class-validator';
import { Geometry } from 'geojson';

export class UpdateTerritoryRequest {
  @IsString()
  @IsNotEmpty()
  @AutoMap()
  uuid: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  name?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  shape?: Geometry;
}
