import { QueryHandler } from '@nestjs/cqrs';
import { ICollection } from 'src/modules/database/src/interfaces/collection.interface';
import { TerritoriesRepository } from '../../adapters/secondaries/territories.repository';
import { FindAllTerritoriesForPointsQuery } from '../../queries/find-all-territories-for-points.query';
import { Territory } from '../entities/territory';

@QueryHandler(FindAllTerritoriesForPointsQuery)
export class FindAllTerritoriesForPointsUseCase {
  constructor(private readonly _repository: TerritoriesRepository) {}

  async execute(
    findAllTerritoriesForPointsQuery: FindAllTerritoriesForPointsQuery,
  ): Promise<ICollection<Territory>> {
    return this._repository.findForPoints(
      findAllTerritoriesForPointsQuery.points,
    );
  }
}
